EUCA-DOWNLOAD-AND-UNBUNDLE(1)

NAME
euca-download-and-unbundle - Download and unbundle a bundled image from the cloud

SYNOPSIS
euca-download-and-unbundle [-d (FILE | DIR)] [-k PRIVATEKEY]

[--progress | --no-progress] -b
    BUCKET[/PREFIX] (-m MANIFEST | -p MANIFEST | --local-manifest FILE) [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h]

DESCRIPTION
Download and unbundle a bundled image from the cloud

DESCRIPTION
The key used to unbundle the image must match a certificate that was used to bundle it.

  optional arguments:

-d (FILE | DIR), --destination (FILE | DIR)
    where to place the unbundled image (default: current directory)

-k PRIVATEKEY, --privatekey PRIVATEKEY
    file containing the private key to decrypt the bundle with. This must match a certificate used when bundling the image.

--progress
    show progress (the default when run interactively)

--no-progress
    do not show progress (the default when run noninteractively)

-b BUCKET[/PREFIX], --bucket BUCKET[/PREFIX]
    the bucket that contains the bundle, with an optional path prefix (required)

-m MANIFEST, --manifest MANIFEST
    the manifest's complete file name, not including any path that may be specified using -b

-p MANIFEST, --prefix MANIFEST
    the portion of the manifest's file name that precedes ".manifest.xml"

--local-manifest FILE
    use a manifest on disk and ignore any that appear on the server

-U URL, --url URL
    object storage service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit